Skip to content

Exchange Solution Credential

POST
/v1/portal/credentials/{solution_id}/exchange
curl --request POST \
--url 'https://example.com/v1/portal/credentials/example/exchange?tenant_id=' \
--header 'Content-Type: application/json' \
--data '{}'
solution_id
required
Solution Id
string
tenant_id
Tenant Id
string
""
X-FractalOps-Tenant-Id
Any of:
string
x-pomerium-jwt-assertion
Any of:
string
Media typeapplication/json
Any of:
object
key
additional properties
any
Examplegenerated
{}

Successful Response

Media typeapplication/json
PortalCredentialMintOut
object
solution_id
Solution Id
string
""
credential_type
Credential Type
string
""
granted_scopes
Granted Scopes
Array<string>
issue_mode
Issue Mode
string
""
expires_at
Expires At
string
""
exchange_id
Exchange Id
string
""
lease_id
Lease Id
string
""
launch_url
Launch Url
string
""
fingerprint
Fingerprint
string
""
payload
Payload
object
key
additional properties
string
Example
{
"solution_id": "",
"credential_type": "",
"issue_mode": "",
"expires_at": "",
"exchange_id": "",
"lease_id": "",
"launch_url": "",
"fingerprint": ""
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}